Search Unity

  1. Read here for Unity's latest plans on OpenXR.
    Dismiss Notice

[New build] - HoloLens now included in the 5.5.0f1 build

Discussion in 'VR' started by Unity_Wesley, Jul 25, 2016.

  1. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    Last edited: Nov 22, 2016
    Subere023 likes this.
  2. dwmsco

    dwmsco

    Joined:
    Nov 6, 2014
    Posts:
    13
    So to be clear, UWP and the Offline Documentation are included in the 5.4.0f1-HTP download assistant?
     
  3. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    Correct, You only need the Unity Download Assistant.
     
    Subere023 likes this.
  4. dwmsco

    dwmsco

    Joined:
    Nov 6, 2014
    Posts:
    13
    Worth noting, if someone happens upon the download link and installs the UWP package meant for the previous beta, it will cause some serious and inconsistent errors when building. Not only that, upon installing it, it will alert you "expecting 5.4.024b, would you still like to install?". I came across the latest beta yesterday at what seems to be the moment you guys released it. So I simply uninstalled 5.4.0f1 and reinstalled it without applying the UWP, and things are working as they should.
     
  5. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    We saw the issue as well, our web team should be correcting the issue soon. Thank you for verifying the information
     
  6. dwmsco

    dwmsco

    Joined:
    Nov 6, 2014
    Posts:
    13
    Another heads up, I decided to reinstall everything from scratch and it looks like Microsoft has released a new Windows 10 SDK (10.0.10586) which isn't compatible with Unity HoloLens 5.4.0f1-HTP(64-bit). When I go to build a project, I get the following, and an empty directory as a result.


    When running the Visual Studio Installer again, I see that there is an option to install 10.0.10240, which people were having to install when encountering this issue in the 5.2.3p3 and 5.3.1f1 until the fix was released. More on that here.


    Upon Installing the Windows 10 SDK (10.0.10240), the build completed, but now get the following warning.
     
    v1nd1c4t10n likes this.
  7. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    Awesome thank you for the heads up. Could you please file a bug report with this information about the SDK not being supported.

    Thank you,
    Wesley
     
  8. JJJohan

    JJJohan

    Joined:
    Mar 18, 2016
    Posts:
    214
    Are there any HoloLens specific changes? The download's page changelog still reflects the b24 release. So does the archive.

    Also if the 10.0.10586 SDK is problematic then I'm curious to see what happens when the 14393 SDK goes live today..
     
  9. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    Thank you pointing out the issue with the release Notes, the notes do look current however. If you look at the bullet points it shows that the build is no based off of 5.4.f01
     
  10. ScottF

    ScottF

    Vice President, Platforms Unity Technologies

    Joined:
    Jul 31, 2013
    Posts:
    96
  11. v1nd1c4t10n

    v1nd1c4t10n

    Joined:
    Aug 8, 2016
    Posts:
    1
    Finally somebody else reporting the same issue I am seeing! Been trying to figure out the WSAPlayer warning for a day now. So do I just have to live with the warning message
     
  12. dwmsco

    dwmsco

    Joined:
    Nov 6, 2014
    Posts:
    13
    The WSAPlayer warning has no effect on functionality.
     
  13. mcarney

    mcarney

    Joined:
    Jul 25, 2013
    Posts:
    7
    I'm getting this error as well. Any idea what it means?
     
  14. ideepakkrishnan

    ideepakkrishnan

    Joined:
    Oct 16, 2016
    Posts:
    1
    I installed Unity 5.4.0f3 and I have UAP versions 10.0.10240.0 and 10.0.10563.0 installed under Windows Kits folder. While building from Unity, it is throwing an error saying that Could not find a part of the path "C:\Program Files (x86)\Windows Kits\10\Platforms\UAP\10.0.14393.0\Platform.xml" and the generated build is an empty VS solution.

    I tried reinstalling Unity after running a repair on my VS 2015 installation but that didn't solve the issue. Do we have a solution for this issue?
     
    efge likes this.
  15. quitebuttery

    quitebuttery

    Joined:
    Mar 12, 2011
    Posts:
    309
    @Unity_Wesley So which parts do we download in the installer to get it to work with HoloLens? Do we have to install the .NET and ILCPP Windows Store features?
     
  16. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    558
    @quitebuttery You only need to download the .NET module in the installer for windows store features. You can download both if you want to, but it is not necessary.
     
  17. SimulationInnovation

    SimulationInnovation

    Joined:
    Apr 6, 2016
    Posts:
    5
    Hi, he main Hololens download page is still pointing at the 5.4f.03 but looks like the Unity 5.4.0f3 automatic install process is now broken - File not found / 404 errors . The 64 bit version install can't find the metro component. (among other things)
    "http://beta.unity3d.com/download/b2...itySetup-Metro-Support-for-Editor-5.4.0f3.exe The error message is : File Not Found (404)"
    Tried downloading the 32bit version : download fails right away. file not Found.

    Is the 5.5 beta now the "official" way to go for hololens development ? Will I have to update/change existing 5.4f.03 projects ? Please advise, Thanks !
     
    jansn likes this.
  18. pfreese

    pfreese

    Unity Technologies

    Joined:
    Feb 23, 2015
    Posts:
    85
    5.5 already has improvements and fixes for HoloLens development that are not in the 5.4 HTP. It is unclear at this point whether we'll be doing another HTP drop; all our development for HoloLens is now in the 5.5 and future main Unity versions.
     
  19. MrMatthias

    MrMatthias

    Joined:
    Sep 18, 2012
    Posts:
    188
    I have Windows 10 pro, all updates installed, but the holographic window says it is an old build version. Is that a feature not yet supported by windows?
     
    Last edited: Nov 3, 2016
  20. pfreese

    pfreese

    Unity Technologies

    Joined:
    Feb 23, 2015
    Posts:
    85
    Can you check your OS build version? You should be able to find this in Windows Settings -> System -> About.
     
  21. PrimacyScott

    PrimacyScott

    Joined:
    Sep 29, 2016
    Posts:
    2
    Will there HTP version be restored?

    The 5.5beta has broken our project and we would like to revert back to 5.4.

    It just so happens that we have new machines that do not have the old build - is there _any_ archive location for this? All the links on Unity's page are broken.
     
  22. ScottF

    ScottF

    Vice President, Platforms Unity Technologies

    Joined:
    Jul 31, 2013
    Posts:
    96
    Can you try again, the files should be restored.
     
  23. SimulationInnovation

    SimulationInnovation

    Joined:
    Apr 6, 2016
    Posts:
    5
    Tried again to install the 5.4f.03 HTP and it works now. Thanks
     
  24. MrMatthias

    MrMatthias

    Joined:
    Sep 18, 2012
    Posts:
    188
    Version is 1511 and systembuild is 10586.633
     
  25. Tyua

    Tyua

    Joined:
    Sep 6, 2012
    Posts:
    14
    i have just moved to unity 5.5.0b9 since b10 is bugged, launched my hololens project which functionned with unity 5.4.0 htp and i have a black screen now on the HL when I launch my app.

    edit : I have desactivated several performance tips, back to basic settings and it functions now
    edit 2 : well tried single pass instanced as stereo rendering method and well it functions better than with 5.4.0htp : no more lag while turning around an object :)
     
    Last edited: Nov 8, 2016
  26. pfreese

    pfreese

    Unity Technologies

    Joined:
    Feb 23, 2015
    Posts:
    85
unityunity